Opt1 Error with 2.1 (Showing in dashboard as pending)



  • halo ,

    I am new to the forum . First time I am asking a question in pfsense forum. 
    My PFSENSE router using for dual wan failover , working very good with wan ,opt1 , lan  as wan and opt1 for internet  and lan as lan network. From 2 years  working very good. wan is DHCP and opt1 is pppoe .
    Upgraded  2.0.3 to 2.1  my opt1  is not working after upgrdation. Opt1 is showing in interface but  in  dashboard under gsteways  showing pending and status is unknown.
    system log shows  "pfsense php: rc.filter_configure_sync: Could not find IPv4 gateway for interface (opt1)."
    Please advise me to get  working of  the opt1 .

    Thanking you .



  • I, too, have upgraded to 2.1 a few days ago, and no longer see traffic passing on the OPT1 interface.

    Link is up/up on both the firewall and the connected switch port. Frames don't seem to be coming from the firewall.

    Anyone else?

    I can do some further diagnostics but not sure which direction to take it right now. Not a physical or link-layer issue.



  • It works for me on various 2.1 systems. I guess you need to look through what things are now setup in 2.1. This sort of chain of settings:
    a) Gateway for OPT1 is valid.
    b) Gateway group(s) exist with WAN and OPT1 selected in tiers the way you want (e.g. WAN and OPT1 on same tier for load-balanced traffic).
    c) Rule(s) on LAN that are directing traffic into the appropriate gateway group(s).

    Post the above settings if you are still stuck.


Log in to reply